Bug 577184 - [abrt] crash in tuned-0.2.10-1.fc12: __init__.py:820:_open:IOError: [Errno 13] Permission denied: '/var/log/tuned/tuned.log'
Summary: [abrt] crash in tuned-0.2.10-1.fc12: __init__.py:820:_open:IOError: [Errno 13...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tuned
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Vcelak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d3563398
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-26 12:05 UTC by orti1980
Modified: 2013-03-04 01:27 UTC (History)
6 users (show)

Fixed In Version: tuned-0.2.13-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-25 18:39:32 UTC


Attachments (Terms of Use)
File: backtrace (1.04 KB, text/plain)
2010-03-26 12:05 UTC, orti1980
no flags Details

Description orti1980 2010-03-26 12:05:37 UTC
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/sbin/tuned
component: tuned
executable: /usr/sbin/tuned
kernel: 2.6.32.9-70.fc12.i686.PAE
package: tuned-0.2.10-1.fc12
reason: __init__.py:820:_open:IOError: [Errno 13] Permission denied: '/var/log/tuned/tuned.log'
release: Fedora release 12 (Constantine)

backtrace
-----
__init__.py:820:_open:IOError: [Errno 13] Permission denied: '/var/log/tuned/tuned.log'

Traceback (most recent call last):
  File "/usr/sbin/tuned", line 30, in <module>
    import logging, tuned_logging
  File "/usr/share/tuned/tuned_logging.py", line 57, in <module>
    file_handler = logging.handlers.RotatingFileHandler(LOG_FILENAME, maxBytes=200*1000, backupCount=2)
  File "/usr/lib/python2.6/logging/handlers.py", line 107, in __init__
    BaseRotatingHandler.__init__(self, filename, mode, encoding, delay)
  File "/usr/lib/python2.6/logging/handlers.py", line 59, in __init__
    logging.FileHandler.__init__(self, filename, mode, encoding, delay)
  File "/usr/lib/python2.6/logging/__init__.py", line 801, in __init__
    StreamHandler.__init__(self, self._open())
  File "/usr/lib/python2.6/logging/__init__.py", line 820, in _open
    stream = open(self.baseFilename, self.mode)
IOError: [Errno 13] Permission denied: '/var/log/tuned/tuned.log'

Local variables in innermost frame:
self: <logging.handlers.RotatingFileHandler instance at 0xb74052cc>

Comment 1 orti1980 2010-03-26 12:05:39 UTC
Created attachment 402819 [details]
File: backtrace

Comment 2 Marcela Mašláňová 2010-03-26 12:25:38 UTC
Do you have SElinux in enforcing mode? If so, then please attach SElinux report from setroubleshoot tool or `grep tuned /var/log/secure`

Comment 3 orti1980 2010-03-26 17:04:22 UTC
SElinux is disabled

and

/var/log/tuned/tuned.log is empty

Comment 4 Jan Vcelak 2010-03-29 09:10:36 UTC
Hi.

Thank you for reporting. This seems like you tried running tuned as a non-superuser (from terminal). Am I right?

Comment 5 orti1980 2010-03-29 16:19:54 UTC
yes i starting as non-su

under root no problems

Traceback (most recent call last):
  File "/usr/sbin/tuned", line 30, in <module>
    import logging, tuned_logging
  File "/usr/share/tuned/tuned_logging.py", line 57, in <module>
    file_handler = logging.handlers.RotatingFileHandler(LOG_FILENAME, maxBytes=200*1000, backupCount=2)
  File "/usr/lib/python2.6/logging/handlers.py", line 107, in __init__
    BaseRotatingHandler.__init__(self, filename, mode, encoding, delay)
  File "/usr/lib/python2.6/logging/handlers.py", line 59, in __init__
    logging.FileHandler.__init__(self, filename, mode, encoding, delay)
  File "/usr/lib/python2.6/logging/__init__.py", line 801, in __init__
    StreamHandler.__init__(self, self._open())
  File "/usr/lib/python2.6/logging/__init__.py", line 820, in _open
    stream = open(self.baseFilename, self.mode)
IOError: [Errno 13] Permission denied: '/var/log/tuned/tuned.log'


thanks

Comment 6 Jan Vcelak 2010-03-30 08:29:41 UTC
Hi.

It makes no sense to run it without superuser permission. But it definitely should fail more gracefully.

Thank you. I will fix it in some future version.

Jan

Comment 7 Fedora Update System 2010-05-04 14:25:38 UTC
tuned-0.2.13-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/tuned-0.2.13-1.fc13

Comment 8 Fedora Update System 2010-05-04 14:26:09 UTC
tuned-0.2.13-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/tuned-0.2.13-1.fc12

Comment 9 Fedora Update System 2010-05-05 07:18:33 UTC
tuned-0.2.13-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-05-06 03:44:47 UTC
tuned-0.2.13-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tuned'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tuned-0.2.13-1.fc12

Comment 11 Fedora Update System 2010-05-25 18:39:22 UTC
tuned-0.2.13-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.